<template>
    <router-link v-if="channel" :to="{name: 'ChannelsView', params: {id: channel.id}}" class="channel">
        <div class="img-h pull-left"> <img :src="this.$store.state.host + channel.logo" alt=""></div>
        <div class="title"> {{channel.name}} </div>
    </router-link>
</template>

<script>
    export default {
        props: {
            channel: {
                required: true
            }
        },
        name: "item",
    }
</script>

<style scoped>

    .img-h {
        background: #fff;
    }
</style>
